Invite
Authorizations
AuthenticationstringRequired
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
first_namestringRequiredExample:
Adèlelast_namestringRequiredExample:
Bouvetemailstring · emailRequiredExample:
adele.bouvet@gmail.comrolestring · enumRequiredPossible values:
Note: Only 1 role is accepted as input for this endpoint.
Responses
201
Create successful
application/json
pknumberRequiredExample:
Dashdoc's internal id.
23498display_namestringRequiredExample:
Adèle Bouvetrolestring · enumRequiredPossible values:
Note: If the manager has multiple roles, only 1 of them is returned.
remote_idstringOptional
phone_numberstringOptional
personasstring · nullableOptional
post/managers/invite/
POST /api/v4/managers/invite/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 92
{
"first_name": "Adèle",
"last_name": "Bouvet",
"email": "adele.bouvet@gmail.com",
"role": "admin"
}201
Create successful
{
"pk": 23498,
"display_name": "Adèle Bouvet",
"user": {
"pk": 17293,
"username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
"display_name": "Adèle Bouvet",
"email": "adele.bouvet@gmail.com",
"date_joined": "2026-01-01T00:00:00.000Z",
"last_login": "2026-01-01T00:00:00.000Z",
"has_usable_password": true,
"first_name": "Adèle",
"last_name": "Bouvet"
},
"role": "admin",
"remote_id": "text",
"phone_number": "text",
"personas": "text",
"current_company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
}Last updated
Was this helpful?